org.apache.jmeter.assertions

## Class MD5HexAssertion

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.assertions.MD5HexAssertion

All Implemented Interfaces:
  Serializable, Cloneable, Assertion, Searchable, TestElement

    public class MD5HexAssertion
    extends AbstractTestElement
    implements Serializable, Assertion

MD5HexAssertion class creates an MD5 checksum from the response and matches it with the MD5 hex provided.

The assertion will fail when the expected hex is different from the one calculated from the response OR when the expected hex is left empty.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`MD5HexAssertion()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAllowedMD5Hex()`
`AssertionResult` `getResult(SampleResult response)` Returns the AssertionResult object encapsulating information about the success or failure of the assertion.
`void` `setAllowedMD5Hex(String hex)`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`removed`

### Constructor Detail

#### MD5HexAssertion

    public MD5HexAssertion()

### Method Detail

#### getResult

    public AssertionResult getResult(SampleResult response)

Description copied from interface: `Assertion`
Returns the AssertionResult object encapsulating information about the success or failure of the assertion.

Specified by:
  `getResult` in interface `Assertion`
Parameters:
  `response` - the SampleResult containing information about the Sample (duration, success, etc)
Returns:
  the AssertionResult containing the information about whether the assertion passed or failed.

#### setAllowedMD5Hex

    public void setAllowedMD5Hex(String hex)

#### getAllowedMD5Hex

    public String getAllowedMD5Hex()